export enum TaskStatus {
  All = 0,
  WaitSign = 10,
  Effect = 20,
  Terminated = 30,
}

export const TaskStatusText = {
  [TaskStatus.All]: '全部',
  [TaskStatus.WaitSign]: '待签约',
  [TaskStatus.Effect]: '生效中',
  [TaskStatus.Terminated]: '已终止',
};

export const TaskStatusColor = {
  [TaskStatus.WaitSign]: '#FF7D00',
  [TaskStatus.Effect]: '#3A71FF',
  [TaskStatus.Terminated]: '#9FA4AC',
};

export enum SalaryTimeTypeEnum {
  /**
   * 月薪
   */
  Month = 10,
  /**
   * 周薪
   */
  Week = 20,
  /**
   * 日薪
   */
  Day = 30,
  /**
   * 时薪
   */
  Hour = 40,
}

export const SalaryTimeTypeEnumText = {
  [SalaryTimeTypeEnum.Month]: '月薪',
  [SalaryTimeTypeEnum.Week]: '周薪',
  [SalaryTimeTypeEnum.Day]: '日薪',
  [SalaryTimeTypeEnum.Hour]: '时薪',
};

export const SalaryTimeTypeEnumUnit = {
  [SalaryTimeTypeEnum.Month]: '元/月',
  [SalaryTimeTypeEnum.Week]: '元/周',
  [SalaryTimeTypeEnum.Day]: '元/天',
  [SalaryTimeTypeEnum.Hour]: '元/小时',
};

export enum SalaryType {
  month = 10,
  week = 20,
  day = 30,
}

export const SalaryTypeText = {
  [SalaryType.month]: '月结',
  [SalaryType.week]: '周结',
  [SalaryType.day]: '日结',
};
